TikTok作品搜索 API (V1)
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…
获取抖音帖子搜索数据,包括视频ID、描述和作者信息等关键详情,用于趋势监控和内容发现,以及基于关键词的市场分析和情感追踪。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|---|
token | query | string | 是 | - | 用于API访问的安全令牌。 |
keyword | query | string | 是 | - | 搜索关键词(例如 'deepseek')。 |
offset | query | integer | 否 | 0 | 分页偏移量,从0开始,步长为20。 |
sortType | query | string | 否 | RELEVANCE | 搜索结果排序标准。 可用值: - RELEVANCE: 相关性(默认)- MOST_LIKED: 点赞最多 |
publishTime | query | string | 否 | ALL | 按发布时间筛选帖子。 可用值: - ALL: 全部时间- ONE_DAY: 最近24小时- ONE_WEEK: 最近7天- ONE_MONTH: 最近30天- THREE_MONTHS: 最近90天- HALF_YEAR: 最近180天 |
region | query | string | 否 | US | ISO 3166-1 alpha-2 国家代码(例如 'US'、'GB')。 |
代码示例
💡 环境说明
默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
bash
curl -X GET "https://api.justoneapi.com/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE"text
我想使用 Just One API 提供的“作品搜索 (V1)”接口。
接入地址: 默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
接口路径: /api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE
接口地址: BASE_URL + /api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/tiktok/post-search-v1-zh.json
请求参数说明:
- token (query): 用于API访问的安全令牌。 (必填)
- keyword (query): 搜索关键词(例如 'deepseek')。 (必填)
- offset (query): 分页偏移量,从0开始,步长为20。
- sortType (query): 搜索结果排序标准。
可用值:
- `RELEVANCE`: 相关性(默认)
- `MOST_LIKED`: 点赞最多
- publishTime (query): 按发布时间筛选帖子。
可用值:
- `ALL`: 全部时间
- `ONE_DAY`: 最近24小时
- `ONE_WEEK`: 最近7天
- `ONE_MONTH`: 最近30天
- `THREE_MONTHS`: 最近90天
- `HALF_YEAR`: 最近180天
- region (query): ISO 3166-1 alpha-2 国家代码(例如 'US'、'GB')。
返回格式: JSON
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 余额不足
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
import requests
BASE_URL = "https://api.justoneapi.com" # 大陆用户可改为 "http://47.117.133.51:30015"
url = BASE_URL + "/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE"
response = requests.get(url)
print(response.json())js
const BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
const url = BASE_URL + "/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE";
const response = await fetch(url, {
method: "GET"
});
const data = await response.json();
console.log(data);java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
final String BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
final String url = BASE_URL + "/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
package main
import (
"fmt"
"io"
"net/http"
)
const BASE_URL = "https://api.justoneapi.com" // 大陆用户可改为 "http://47.117.133.51:30015"
func main() {
client := &http.Client{}
url := BASE_URL + "/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
<?php
$BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
$url = $BASE_URL . "/api/tiktok/search-post/v1?token=YOUR_API_KEY&keyword=VALUE";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;响应结果示例
正在加载最新成功示例…
